org.apache.cassandra.cql3.selection

## Class Selectable.WithTerm.Raw

- java.lang.Object
- - org.apache.cassandra.cql3.selection.Selectable.Raw
  - - org.apache.cassandra.cql3.selection.Selectable.WithTerm.Raw

- Enclosing class:
    Selectable.WithTerm

      public static class Selectable.WithTerm.Raw
      extends Selectable.Raw

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Raw(Term.Raw term)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Selectable` | `prepare(CFMetaData cfm)`

    - ### Methods inherited from class org.apache.cassandra.cql3.selection.Selectable.Raw

      `processesSelection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Raw

          public Raw(Term.Raw term)

  - ### Method Detail

    - #### prepare

          public Selectable prepare(CFMetaData cfm)

      Specified by:
        `prepare` in class `Selectable.Raw`

Copyright © 2018 The Apache Software Foundation